import { request } from '@umijs/max';


export default {
    //创建分组
    Add(parms: GroupInfoTypes.Info) {
        return request('/api/groupinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //删除
    Del(parms: GroupInfoTypes.Info) {
        return request(`/api/groupinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //修改
    Update(parms: GroupInfoTypes.Info) {
        return request('/api/groupinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //列表
    List() {
        return request('/api/groupinfo/list', {
            method: 'POST',
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: GroupInfoTypes.Page) {
        return request('/api/groupinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // 下拉
    selectlist() {
        return request('/api/groupinfo/selectlist', {
            method: 'GET'
        }

        )
    }
}

